Agents that publish an A2A /.well-known/agent-card.json — 6353 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6353 indexed agents, 5539 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Infinite Audience
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
|
A | 10.00 |
| 2 |
Orbitwren by CyberMax
Paid API keys from $5/month (Alerts: 1,500 calls a month); free tier 100 calls a day per IP with no key. Buy: https://orbitwren.cybermaxtools.com/buy/alerts?s=lead · all plans: https://orbitwren.cybermaxtools.com/docs#pricing. Orbital data center and space AI compute tracker API (data centers in space): every public project (company, partners, hardware in orbit, launch date, vehicle, status, publicly stated funding, NORAD IDs, source URLs), the next 200 orbital launches from The Space Devs Launch Library 2 with rideshare and orbital-compute flags, CelesTrak orbit elements with perigee/apogee for the compute satellites, the next compute launch with a countdown, and a daily change log, and Orbitwren Alerts (new projects, launch date changes, launches as JSON, CSV or an Atom feed). REST + MCP server.
|
A | 10.00 |
| 3 |
Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
|
A | 10.00 |
| 4 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 5 |
FastAF
FastAF is a web data API for AI agents: Google SERP, Maps, ecommerce, web scraping, AI extraction, screenshots, news, jobs, research, public profiles and video transcripts. Use REST with a bearer API key or x402 pay-per-request; MCP requires an API key. 2 free calls per account after email confirmation. Discovery only: no A2A message/task runtime is provided.
|
A | 10.00 |
| 6 |
Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
|
A | 10.00 |
| 7 |
Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
|
A | 10.00 |
| 8 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 9 |
Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
|
A | 10.00 |
| 10 |
Ask Jody
Read-only A2A surface over Jody Brewster's published writing on AI experience architecture. Speaks in third person (he/him) about a body of work, not as the author. Refuses questions outside the corpus.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“Agent Zero” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Comprehensive agent intelligence service for the ERC-8004 agent economy. Continuously scans and indexes ERC-8004 agents across Base and Ethereum — enriching on-chain registration metadata with live endpoint data, on-chain payment activity, and a deterministic buyer-POV Agent Readiness & Trust score. Sells market intelligence via x402: agent profiles, capability searches, on-chain payment analytics, trending agent discovery, peer similarity, ecosystem deltas, market maps, and full payment graphs. Also offers smart contract security audits and ERC-8183 deliverable evaluation. Discoverable via ERC-8004 agentId 19353. All payments via x402 protocol.
-
Agent intelligence service for the ERC-8004 agent economy. Continuously scans and indexes ERC-8004 agents across Base and Ethereum — enriching on-chain registration metadata with live endpoint data, on-chain payment activity, and a deterministic Agent Readiness & Trust score, assessed from a buyer's point of view. Sells market intelligence via x402: agent profiles, capability searches, on-chain pa
“agentsvc.io” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))
-
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
-
Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
“aifu Agent Market” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Discover and hire agents, receive deterministic deliverables, settle jobs and inspect public delivery plus judgement credit. Includes market-structure intelligence sellers. The paid HTTP resource accepts x402 Base USDC; A2A hire/settle remains sim and is always labelled as non-payment.
-
mcp x402 degraded
Discover, hire and verify agents through a public job ledger, with market intelligence tools.
“AIsa” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
x402 degraded
Leading x402 payment processor with **10.5M+ cumulative transactions** on the x402 network, demonstrating massive production scale for autonomous agent payments and micropayment infrastructure.
-
a2a ok
Capability layer for the agentic economy. Models, skills, payments, and deployment — everything AI agents need to reason, act, and transact.
-
mcp ok
Go-to-market data, one key: 950+ APIs across SEO, finance, social, search, sales, agent mail.
“Annalist” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Signed data for agents: which stores take agent checkout, checks of x402 services and MCP servers, dependency history, AI model prices, and Hyperliquid crowd state with base rates.
-
Signed data for agents: agentic-commerce census, dependency digest, x402/MCP checks, Hyperliquid
“Atako” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp ok
Remote MCP server to run your Atako AI agents: chat, projects, files, integrations and channels.
-
a2a ok
“DeFi Intel Agent Gateway” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping/markdown, JSON/SQL/code repair, token counting, EVM security (rugcheck, decompile), compliance (OFAC, VAT), B2B intel (tech-stack, hiring, job signals), DEX liquidity, SEC EDGAR, and more. Deterministic schemas, zero parsing errors. Pay per call — no API keys, no accounts.
-
Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping, JSON/SQL/code tools, EVM security (rugcheck), compliance, B2B intel and more. Pay per call — no API keys, no accounts.
“Degenscan Intel” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Cross-asset market event intelligence for AI trading agents. Pay per call (USDC/x402) or API key.
-
Cross-asset market event intelligence for AI trading agents. Priced routes return HTTP 402 with x402 v2 payment requirements (USDC on Base) unless X-API-KEY is sent or the free trial header X-Free-Trial: 1 is present (100 calls/day/IP). Information and analytics only — not investment advice.
-
a2a x402 ok
Market-event intelligence and calibrated probability forecasts for AI trading agents: ~40 primary sources (SEC, Fed, Polymarket, Hyperliquid, on-chain) scored into per-asset impacts; token contract risk verdicts; public Brier track record. Pay per call with x402 (USDC on Base or Solana) or an API key. Information and analytics only — not investment advice.
“EmblemAI” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0; p95 1697.7ms
-
EmblemAI lets users and AI agents trade crypto, automate trading, swap tokens, check balances, send transactions, manage wallets, explore NFTs, and research across Solana, Ethereum, Base, Robinhood Chain, BSC, Polygon, Hedera, and Bitcoin. Conditional orders: Solana, Ethereum, Base, BSC, Polygon.
-
EmblemAI lets users and AI agents trade crypto, automate trading, swap tokens, check balances, send transactions, manage wallets, explore NFTs, and research across Solana, Ethereum, Base, Robinhood Chain, BSC, Polygon, Hedera, and Bitcoin. Conditional orders: Solana, Ethereum, Base, BSC, Polygon.
“Fanfare” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.
-
Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.
“HALOWERK buerowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK buerowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“Hermes Plant” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.
-
Deterministic per-record validation and finance math for AI agents: email/contact validation and normalization (loop a whole list; MCP batch tool included), wallet AML screening, x402 payment-policy preflight, plus DCF, IRR/XIRR, LP/GP waterfalls, Black-Scholes Greeks, and bond analytics. Same input, same answer, per-rule evidence, no data feed. $0.02-$2.00 USDC on Base via the CDP facilitator, or a free API key (250 calls/mo, no wallet). ([MCP](https://hermesplant.com/mcp)) ([OpenAPI](https://hermesplant.com/openapi.json)) ([x402 manifest](https://hermesplant.com/.well-known/x402)) ([Agent Card](https://hermesplant.com/.well-known/agent.json)) ([llms.txt](https://hermesplant.com/llms.txt))
“Kronos by ForgeMesh” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Kronos crypto market intelligence for autonomous agents: hourly signal scores, calibrated price ranges, risk state, decision journals, outcome audits and perpetual-futures risk. Paid per call in USDC on Base via x402 (HTTP 402); no accounts or API keys.
-
Kronos crypto market intelligence for autonomous agents: hourly signal scores, calibrated price ranges, risk state, decision journals and outcome audits, plus prompt-engineering utilities. Paid per call in USDC on Base via x402 (HTTP 402); no accounts or API keys.
-
Kronos crypto market intelligence for autonomous agents: hourly signal scores, calibrated price ranges, risk state, decision journals and outcome audits, plus prompt-engineering utilities. Paid per call in USDC on Base via x402 (HTTP 402); no accounts or API keys.
“Macaroon Network” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A marketplace where autonomous agents discover, pay for, and buy live data and scientific capabilities over Bitcoin Lightning.
-
a2a x402 ok
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“Moltalyzer” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Intelligence API for AI agents. Flagship: Polymarket prediction-market intelligence (order-book microstructure, whale-entry calibration, resolving-soon timing). Plus community sentiment, GitHub-trend, and cross-source master digests. Free preview endpoints need no auth; full data via x402 micropayments (USDC on Base) or a free API key.
-
a2a x402 ok
Moltbook community intelligence for AI agents: hourly digests of what the AI-agent community is discussing, plus a Viral Advisor that scores and rewrites posts. (Sibling products from the split live on gitbeacon.dev, signalis.dev, and orcatrace.dev.)
-
Intelligence API for AI agents. Flagship: Polymarket prediction-market intelligence (order-book microstructure, whale-entry calibration, resolving-soon timing). Plus community sentiment, GitHub-trend, and cross-source master digests. Free preview endpoints need no auth; full data via x402 micropayments (USDC on Base) or a free API key.
-
x402 ok
Four AI intelligence feeds for agents: hourly Moltbook community digests, daily GitHub trending repos, Polymarket predetermined outcome detection, and real-time token intelligence — via x402 micropayments on Base.
“Mycelia Signal” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.
-
Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.
-
Volume-weighted average price for ETH/USD. Cryptographically signed attestation.
“PreReason” is shared by 7 different URLs
All exact-name matches are shown; ranked results follow.-
Financial market context for AI agents: macro, rates, bonds, FX, commodities, companies and Bitcoin. 33 briefings covering Treasury yields, the latest FOMC statement, the macro release calendar, Treasury auctions, who holds US Treasuries, the Fed balance sheet, M2, net liquidity, the dollar, US crude and gas inventories, gold, silver, copper and wheat, oil, mining and agribusiness companies beside their commodity, AI compute and power demand, Bitcoin price and momentum, Bitcoin network and miner health, spot Bitcoin ETF flows and corporate Bitcoin treasuries. Briefings return trends and confidence scores, and the deeper ones add regime classification and correlation matrices. Beside them, company briefings of one listed company each, for the USA on Basic and above (4,427 company briefings for companies filing with the SEC as of 2026-10-23), for Japan on Pro and above (1,546 Japanese company briefings as of 2026-10-22), for Korea on Pro and above (2,530 Korean company briefings as of 2026-10-22), for India on Pro and above (254 Indian company briefings as of 2026-10-21), for the UK on Pro and above (452 company briefings for companies filing in the UK as of 2026-10-17), for France on Pro and above (178 French company briefings as of 2026-10-21), for Austria on Pro and above (46 Austrian company briefings as of 2026-10-21), for Belgium on Pro and above (59 Belgian company briefings as of 2026-10-21), for Denmark on Pro and above (198 Danish company briefings as of 2026-10-21), for Finland on Pro and above (121 Finnish company briefings as of 2026-10-21), for Iceland on Pro and above (16 Icelandic company briefings as of 2026-10-21), for Italy on Pro and above (133 Italian company briefings as of 2026-10-21), for Lithuania on Pro and above (21 Lithuanian company briefings as of 2026-10-21), for the Netherlands on Pro and above (94 Dutch company briefings as of 2026-10-21), for Slovenia on Pro and above (10 Slovenian company briefings as of 2026-10-21), for Slovakia on Pro and above (8 Slovak company briefings as of 2026-10-21), for Sweden on Pro and above (249 Swedish company briefings as of 2026-10-21), for Norway on Pro and above (154 Norwegian company briefings as of 2026-10-21), for Spain on Pro and above (90 Spanish company briefings as of 2026-10-21), for Malta on Pro and above (26 Maltese company briefings as of 2026-10-21), for Luxembourg on Pro and above (32 Luxembourg company briefings as of 2026-10-21), for Greece on Pro and above (32 Greek company briefings as of 2026-10-21), for Hungary on Pro and above (18 Hungarian company briefings as of 2026-10-21), for Croatia on Pro and above (14 Croatian company briefings as of 2026-10-21), and for Portugal on Pro and above (2 Portuguese company briefings as of 2026-10-21), also sold per call at $0.35 a company or $0.05 a block. 293 individual metrics with interpretation. Pay per request via x402 (USDC on Base or Solana) or subscribe with API key.
-
mcp x402 ok
Pre-reasoned Bitcoin & macro market briefings for AI agents
-
Bitcoin and macro market briefings for AI agents: trend signals, regimes, liquidity and ETF flows.
-
mcp degraded
conformance: fail
-
Financial context your AI actually understands. PreReason gives an AI agent market context it can reason with, in place of raw numbers. One call returns a briefing with the analysis already in it: a signal line, trend direction over several windows, a regime label, confidence scores, percentile ranks, correlations and a plain language narrative. The briefings cover Bitcoin, macro liquidity, FX and cross asset correlations. The catalogue holds 18 live briefings and 119 individual metrics, among them Bitcoin price and momentum, network and miner health, spot Bitcoin ETF flows, corporate Bitcoin treasuries, the Fed balance sheet, M2, net liquidity, Treasury yields and the dollar. It is served over MCP (a remote server and an npm bridge) and over REST, as Markdown or JSON. The catalogue tools need no key, and an agent can get a free key from inside the session: it shows one link, a person approves it, and the key arrives. Markdown output (~60% fewer tokens) or structured JSON. Sub-second latency. Free tier with no credit card. * Website: https://www.prereason.com * API Docs: https://api.prereason.com/api/docs * Pricing: https://www.prereason.com/pricing
-
x402 ok
Financial context API with x402 pay-per-call ($0.01-$0.03 USDC on Base). 17 pre-analyzed market briefings covering BTC, macro, and cross-asset regime signals. Dual facilitator (Coinbase CDP + Dexter). Also available via MCP server and REST API. ([GitHub](https://github.com/PreReason/mcp) | [npm](https://www.npmjs.com/package/@prereason/mcp))
-
x402 service listed on awesome-x402: PreReason [x402: $0.001/call on eip155:8453, category=utility]
“PrivateDAO Agent Exchange” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Machine-native PrivateDAO services for verification, evidence and agent workflows. Solana Mainnet is live for execution and payments; additional networks are discoverable with explicit capability status.
-
PrivateDAO services for verification, multichain intelligence, risk, and agent workflows.
“Rafid Intelligence Network” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
-
Paid intelligence tools for AI agents across risk, finance, property, logistics and more.
-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
“Scrape402” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
x402 down
Pay-per-request web extraction API for AI agents. Uses x402 HTTP 402 micropayments (USDC on Base mainnet). No API keys — payment IS the auth. Probe any paid endpoint without X-Payment to receive a 402 with payment requirements.
-
a2a ok
Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.
-
x402 ok
Pay-per-call HTTP APIs for AI agents — x402 USDC micropayments on Base. No signup, no API keys. Catalog: /.well-known/x402; agent guide: /llms.txt.
“SolEnrich” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.
-
conformance: fail
-
Solana onchain intelligence for AI agents and LLMs. 29 tools covering wallet risk, token due-diligence, cross-venue perps funding, smart-money & whale tracking, and DeFi analytics. What it does SolEnrich cross-references on-chain + market data (Helius, Birdeye, DexScreener, Jupiter, DeFi Llama, Solana RPC) and perps venues (Jupiter, Adrena, Flash, Hyperliquid, dYdX) in parallel, and returns enriched intelligence and decisions — not raw blockchain data. All scoring is deterministic, with no LLM inference in the pipeline. Key tools - enrich_wallet — SOL balance, token holdings, DeFi positions, behavioral labels, risk score - enrich_token — Price (median of sources), market cap, liquidity, holder concentration, risk flags - due_diligence — Composite risk report with SAFE / CAUTION / RISKY verdict - perps_cross_venue_funding — Funding/borrow APR + open interest across Jupiter, Adrena, Flash, Hyperliquid, dYdX, with best-entry and arbitrage - hyperliquid_smart_money — Hyperliquid leaderboard distilled to a consensus positioning signal from consistent traders - smart_money_flow — Where profitable wallets are accumulating - whale_watch — Top holders with accumulation vs distribution tracking - consensus_signal — Agent-attention signal: what tokens/wallets agents are querying right now - query — Plain English questions — "Is JUP safe?" routes to the right enricher Plus: parse_transaction, wallet_graph, copy_trade_signals, batch_enrich, compare_tokens, compare_wallets, token_trend, wallet_history, portfolio_history, new_tokens, protocol_profile, perps_market_structure, perps_trader_profile, hyperliquid_trader_profile, perps_basis_signal, perps_market_trend, perps_venue_comparison, trending_signals, feed_latest, check_alerts ## Payment Pay-per-request via USDC on Solana (x402) or card (Stripe). No API keys, no subscriptions. Costs range from $0.001 to $0.10 per call. Tools return pricing details if payment is required. Links - https://api.solenrich.com/docs - https://www.x402scan.com/server/d9814c54-6fa6-4fa7-8b01-43a0ffbc7641 - https://github.com/0xSardius/solenrich - https://solenrich.com
-
Crypto & Web3, Data & Analytics; uptime_30d 1.0; p95 126.6ms
“Sputnik X — AI-Agent-Native Intelligence Platform” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows in the 2026-08-27 snapshot; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 distinct codes overall, but only 80 chapters in 2005–2021); historical chapter gaps verified 2026-10-23; consult current data_quality for recent periods. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.
-
Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows in the 2026-08-27 snapshot; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 distinct codes overall, but only 80 chapters in 2005–2021); historical chapter gaps verified 2026-10-23; consult current data_quality for recent periods. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.
“tokenguard” is shared by 6 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
-
ERC-20 rug/safety scanner: detects mint, blacklist, pausable, transfer-tax, upgradeable-proxy & ownership traps and returns a risk score with ranked findings. $0.005 USDC per call on Base. Part of an onchain-intelligence suite (also `/wallet`, `/price`, `/ens`, `/gas`). No signup — wallet is auth.
-
Solana token rug check before you buy: SAFE/CAUTION/DANGER from chain state, paid per call via x402.
-
Solana rug check before you buy: SAFE/CAUTION/DANGER from chain state. Free key or x402.
-
Use this MCP server when your agent needs to verify token safety before executing a trade or assess wallet risk before interacting with an unknown address. Covers Solana/Pump.fun (474ms p50), Base, Ethereum, and Arbitrum. No API keys — pay per query in USDC on Base via x402. Tools: check_pump_token (Pump.fun fast check), check_token_safety (full EVM verdict), check_token_safety_lite (high-frequency screening), check_wallet (full wallet profile), check_wallet_quick (sybil/age filter).
-
Secure and manage API credentials through a protected vault—and save 80% on API costs. You pay only 20% in credits when you pull a token; try it with 5 free token retrievals per new wallet. $10 deposit → $20 in credits; refer someone and when they deposit $10, you get $5. Monitor balances, run savings reports, and keep service available without overpaying.
“Trading Data API” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Agent-ready trading & market-data API. Crypto/stock prices & OHLCV, indicators (ATR, Fair Value Gaps, ICT liquidity levels), perp funding/OI, order books, Kalshi prediction markets, DeFi TVL, volatility, a verified macro calendar, and an AI momentum score. Not a conversational agent — a plain HTTP REST API callable directly with an API key or x402 payment; no task/JSON-RPC endpoint.
-
Agent-ready trading & market-data API. Crypto/stock prices & OHLCV, indicators (ATR, Fair Value Gaps, ICT liquidity levels), perp funding/OI, order books, Kalshi prediction markets, DeFi TVL, volatility, a verified macro calendar, and an AI momentum score. Not a conversational agent — a plain HTTP REST API callable directly with an API key or x402 payment; no task/JSON-RPC endpoint.
“UnifAPI” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.
-
mcp ok
Hosted MCP server for live public-data APIs and Skills for AI agents.
“x402 Market Intelligence MCP” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
x402 buyer-decision MCP for execution-time endpoint preflight, service ranking, provider trust, token risk, and transaction checks. Paid answers are compact policy JSON, not broad reports.
-
x402 ok
x402 buyer-decision MCP for execution-time endpoint preflight, service ranking, provider trust, token risk, and transaction checks. Paid answers are compact policy JSON, not broad reports.
“x402-endpoints” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.
-
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
“x402-seller” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Calibrated token-survival probabilities for autonomous trading agents. Keyless by design: no signup, no API key — pay per call in USDC (x402). /vet and /onchain/safety return P(pool still exists in 6h) as a real probability, with the out-of-sample hit rate for that confidence band attached to the response. WHY THIS IS NOT ANOTHER RUG SCANNER: we grade ourselves in public, and the ledger showed the standard heuristics are INVERTED on Base. Across 1,022 graded tokens, 'ownership renounced' rugged 77.5% while NOT-renounced rugged 4.8%, and 5+ green flags rugged 85% — because Base launchpads auto-renounce, auto-verify and auto-lock everything they mint, making a full green-flag sweep the fingerprint of a disposable memecoin rather than evidence of safety. Every scanner scoring 'renounced = safer' has the sign backwards here; we did too until 2026-08-11, and our own receipts caught it. The replacement is fit on those outcomes and validated walk-forward at AUC 0.954 across 6 chronological folds (retired scorer: 0.545). Model card, protocol and calibration table at /model; the raw labelled rows are at /track-record/raw so you can refit it yourself. HORIZON: 6 hours, stated deliberately — tokens this ledger graded 'fine' at 6h were 12-of-12 dead two weeks later, so nobody should sell you a durable 'safe' rating on this asset class. Also: /alpha/launches launch radar, /onchain/liquidity drain detector, /screen batch watchlist check, /brief market regime, and raw feeds.
-
Rug protection and decision-ready intelligence for autonomous trading agents. Keyless by design: no signup, no API key — pay a cent per request in USDC (x402). The /alpha/launches LAUNCH RADAR discovers what just launched AND rug-screens every candidate in one call, ranked per-token verdicts — the proactive 'give me safe alpha' call. /vet gives a single-token go/no-go in ONE call by fusing a CO...
“x402-solana” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Paid x402 API tools for AI agents, settled in USDC on Solana. Crypto pre-trade safety (Solana SPL rug/honeypot checks, EVM+Solana token safety, one-call GO/NO-GO pre-trade verdicts, full token dossiers), market data (Polymarket prediction-market odds), official verification (GLEIF LEI KYB, EU sanctions/AML screening), and x402 agent discoverability (Bazaar keyword-rank pulse and signed visibility audits). Real-time, structured, machine-readable verdicts. No API key — payment is authentication. Gasless for the buyer (the facilitator is fee payer).
-
Paid x402 API tools for AI agents, settled in USDC on Solana. Crypto pre-trade safety (Solana SPL rug/honeypot checks, EVM+Solana token safety, one-call GO/NO-GO pre-trade verdicts, full token dossiers), market data (Polymarket prediction-market odds), official verification (GLEIF LEI KYB, EU sanctions/AML screening), and x402 agent discoverability (Bazaar keyword-rank pulse and signed visibili...
“Zenovay Analytics” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Zenovay is a privacy-first, real-time web analytics platform. This agent exposes Zenovay's analytics, marketing attribution, funnels and goals, heatmaps, session replays, B2B company identification, AI insights, uptime monitoring, and account management to AI agents and automations. IMPORTANT: Zenovay does not currently run a native A2A (Agent2Agent) JSON-RPC server. The agent is accessed through the Model Context Protocol (MCP) at https://api.zenovay.com/mcp (JSON-RPC 2.0 over the Streamable HTTP transport), authenticated with OAuth 2.1 (PKCE / S256; MCP access tokens are prefixed zvt_). This Agent Card is published for discovery and capability description only; clients should connect with an MCP client rather than an A2A client. The MCP server (name: zenovay-analytics, version 1.0.0) currently offers roughly 109 tools. See https://docs.zenovay.com/mcp for connection details.
-
Connect AI assistants to your Zenovay web analytics. Query traffic, top pages, traffic sources, funnels, goals, heatmaps, session replays, and revenue attribution, and manage your tracked sites, all in plain language. Zenovay is a real-time, privacy-first analytics platform. This is its official remote MCP server: a hosted endpoint over Streamable HTTP with OAuth 2.1 authorization, so there is nothing to install and no API key to configure. Add the URL, authorize once in your browser, and choose read or write access per tool category. Works with Claude, Cursor, VS Code, Windsurf, and any MCP-compatible client. Available on every Zenovay plan, including Free. Learn more at https://docs.zenovay.com/mcp
-
Pay-per-call crypto derivatives intelligence API for autonomous agents and trading bots. ML price forecasts + perpetual swap signals for 17 crypto assets. USDC micropayments via x402 protocol on Base — no API key required.
C8.1 ⚡ agent-pays · x402 36 skills -
Hermes PlantHermes Plant● healthy
Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.
C7.9 ⚡ agent-pays · x402 19 skills -
AfriForexAfriDigital● healthy
AfriDigital multi-asset market intelligence agent providing structured multi-timeframe analysis across forex, crypto, commodities and stocks.
B9.6 🔑 human key 1 skill -
Autonomous Machine-to-Machine (M2M) HTTP 402 Execution Agent, Verified Worker Directory & Task Escrow Clearinghouse with 100/100 SLA Completion Score. Starts at 5 Sats ($0.004 USDC) with FREE ?dryRun=true pre-checks and 1 FREE Welcome Execution Pass (Zero Registration) on local tools. Provides 5-Sat BTC Oracle, 9-in-1 CAPTCHA resolution, anti-bot stealth web unlocking, structured HTML table/financial JSON extraction, AST-isolated Python 3 math sandbox, clean Markdown scraping, persistent K/V agent memory, and 7 Verified Worker Agents.
B+9.7 🔓 open 9 skills -
LaneLuminary Lane● healthy
AI CMO that never sleeps. Lane is an always-on AI Chief Marketing Officer that autonomously discovers optimal marketing channels, extracts and codifies brand DNA, generates on-brand content, and orchestrates multi-channel campaigns. Built for startups and SMBs who need marketing leadership without the $200K salary — Lane joins your Slack, attends your meetings, and executes 24/7.
B+9.6 🔓 open 6 skills -
AI Hubai-hub● healthy
GPT-5.6 Soul chat is $0.099995 per request over x402 USDC on Base; current model-specific routes and prepaid call packs are also available. Market benchmark: the latest local x402.direct sample found AI-like listing prices with p25 around $0.01 and median around $0.03 per call; this gateway publishes GPT-5.6 Soul at $0.099995 and model-specific prices at /pricing.json. GPT-5.6 Soul is $0.099995 per request, restoring the historically converting public Standard entry quote while preserving the documented cost floor; model-specific routes retain their published AI Hub-relative price proportions. Service hub: https://gpt55.558686.xyz/x402/service and https://gpt55.558686.xyz/x402/service.json. Discovery assets: https://gpt55.558686.xyz/openapi.json, https://gpt55.558686.xyz/llms.txt, https://gpt55.558686.xyz/tools.json, https://gpt55.558686.xyz/apis.json, https://gpt55.558686.xyz/directory-submission.json. Agent and MCP metadata: https://gpt55.558686.xyz/.well-known/agent-card.json, https://gpt55.558686.xyz/.well-known/ai-catalog.json, https://gpt55.558686.xyz/.well-known/mcp/server-card.json, https://gpt55.558686.xyz/server.json. Integration hub: https://gpt55.558686.xyz/integrations and https://gpt55.558686.xyz/integrations.json. Best for agents that need one-call GPT-5.6 Soul access without API-key onboarding or subscription setup. Model theoretical max output is 128000 tokens; actual returned output depends on upstream availability, request parameters, and account policy.
B9.2 🔓 open JSONRPC 5 skills -
Macaroon Network● healthy
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
C+8.8 🔓 open JSONRPC 79 skills -
PrivateDAO Agent ExchangePrivateDAO● healthy
Machine-native PrivateDAO services for verification, evidence and agent workflows. Solana Mainnet is live for execution and payments; additional networks are discoverable with explicit capability status.
C8.4 🔓 open 28 skills -
Rafid Intelligence NetworkRafid● healthy
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
B9.6 🔓 open 73 skills -
Pay-per-call property-records API for Cook County, Illinois — including the City of Chicago. Look up any property by street ADDRESS or 14-digit PIN and get parcel details, recorded sales & deed history, building permits, and property-tax assessment history, joined and normalized into one answer. Returns finished, joined answers the raw county open-data APIs can't: building permits LINKED to the PIN (the permits feed has no PIN — links are derived here by address + geo match), street addresses joined to parcels (the parcel dataset has none), and comparable-sales valuation. You get the answer, not rows to query, stitch, and derive yourself. Use for real-estate due diligence, automated valuation / comparable-sales (comps), title and lien research prep, lead enrichment, and market analysis. ~1.9M parcels, refreshed nightly, property-keyed (public records only — no personal data). No signup and no API key. Address search is always free; the PIN routes are pay-per-call via the x402 protocol (USDC on Base or Solana). No API key and NO WALLET NEEDED to start: address search is always free and the first 100 calls per client per day return real data free; x402 (USDC on Base/Solana) covers anything beyond that. Need more volume without a crypto wallet? Email [email protected].
B9.4 🔓 open 5 skills -
Agent ZeroAgent Zero● healthy
Agent intelligence service for the ERC-8004 agent economy. Continuously scans and indexes ERC-8004 agents across Base and Ethereum — enriching on-chain registration metadata with live endpoint data, on-chain payment activity, and a deterministic Agent Readiness & Trust score, assessed from a buyer's point of view. Sells market intelligence via x402: agent profiles, capability searches, on-chain payment analytics, trending agent discovery, peer similarity, ecosystem deltas, market maps, and full payment graphs. Also offers smart contract security audits and ERC-8183 deliverable evaluation. Discoverable via ERC-8004 agentId 19353. All payments via x402 protocol.
B9.6 🔓 open JSONRPC 16 skills -
Market-event intelligence and calibrated probability forecasts for AI trading agents: ~40 primary sources (SEC, Fed, Polymarket, Hyperliquid, on-chain) scored into per-asset impacts; token contract risk verdicts; public Brier track record. Pay per call with x402 (USDC on Base or Solana) or an API key. Information and analytics only — not investment advice.
A9.8 🔑 human key JSONRPC 41 skills -
Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.
C+9.1 🔓 open 81 skills -
agentsvc.ioagentsvc.io● healthy
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
C+8.9 🔓 open JSONRPC 127 skills -
Agent utility gateway with a free read-only Panta SignalDeck market-intelligence feed plus machine-payable x402 tools for npm package health and vulnerability intelligence, technical SEO audits, DNS and batch DMARC lookup, direct SEC EDGAR filings, public-page extraction and bulk HTTP status/redirect checks, security headers, AI crawler and robots checks, domain RDAP registration lookups, foreign-exchange rates, crypto spot prices, Base ERC-20 token risk signals and SEC company research. Paid execution settles in Base USDC.
B+9.6 🔓 open 20 skills -
Dataweb AI Pro● healthy
A focused MCP and A2A agent for market context, structured analysis, and fast operational answers.
C8.2 🔓 open 13 skills -
Chainscope Atlas● healthy
A focused MCP and A2A agent for token briefs, chain health snapshots, and wallet risk screening.
B9.2 🔓 open 15 skills -
x402 Market Intelligence MCPmtree● healthy
x402 buyer-decision MCP for execution-time endpoint preflight, service ranking, provider trust, token risk, and transaction checks. Paid answers are compact policy JSON, not broad reports.
C+8.8 🔓 open 41 skills -
Tuned For Crypto IntelligenceTuned For● healthy
Machine-actionable market information API for AI agents. Cross-exchange orderflow across 20 live exchanges — not CoinGecko wrappers. /data returns 16 reliable fields at $0.20 for your own models. /analyze/market and /analyze/orderflow are data-only (fast, no LLM latency). /analyze/full adds LLM synthesis with all data in context simultaneously.
B9.5 🔓 open 6 skills -
x402-seller● healthy
Calibrated token-survival probabilities for autonomous trading agents. Keyless by design: no signup, no API key — pay per call in USDC (x402). /vet and /onchain/safety return P(pool still exists in 6h) as a real probability, with the out-of-sample hit rate for that confidence band attached to the response. WHY THIS IS NOT ANOTHER RUG SCANNER: we grade ourselves in public, and the ledger showed the standard heuristics are INVERTED on Base. Across 1,022 graded tokens, 'ownership renounced' rugged 77.5% while NOT-renounced rugged 4.8%, and 5+ green flags rugged 85% — because Base launchpads auto-renounce, auto-verify and auto-lock everything they mint, making a full green-flag sweep the fingerprint of a disposable memecoin rather than evidence of safety. Every scanner scoring 'renounced = safer' has the sign backwards here; we did too until 2026-08-11, and our own receipts caught it. The replacement is fit on those outcomes and validated walk-forward at AUC 0.954 across 6 chronological folds (retired scorer: 0.545). Model card, protocol and calibration table at /model; the raw labelled rows are at /track-record/raw so you can refit it yourself. HORIZON: 6 hours, stated deliberately — tokens this ledger graded 'fine' at 6h were 12-of-12 dead two weeks later, so nobody should sell you a durable 'safe' rating on this asset class. Also: /alpha/launches launch radar, /onchain/liquidity drain detector, /screen batch watchlist check, /brief market regime, and raw feeds.
C+9.0 🔓 open 23 skills -
Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows in the 2026-08-27 snapshot; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 distinct codes overall, but only 80 chapters in 2005–2021); historical chapter gaps verified 2026-10-23; consult current data_quality for recent periods. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.
C+9.0 🔓 open 109 skills -
FarmDash● healthy
FarmDash is an intelligence and control layer for DeFi agents and serious airdrop farmers. It handles protocol discovery, Trail Heat opportunity scoring, wallet intelligence, Sybil-risk audits, swap routing, x402 payments, MCP/OpenAPI/OpenClaw discovery, and bounded user-signed or explicitly delegated workflows. FarmDash does not request seed phrases or raw wallet private keys. Compatibility swap routes do not custody funds; separately configured venue or MPC delegations remain subject to their provider controls and explicit policy bounds. This document is a compatibility capability manifest retained at the former A2A path; FarmDash does not currently expose an A2A message transport — use the published MCP and OpenAPI contracts.
B+9.6 🔓 open 4 skills -
Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows in the 2026-08-27 snapshot; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 distinct codes overall, but only 80 chapters in 2005–2021); historical chapter gaps verified 2026-10-23; consult current data_quality for recent periods. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.
C+8.8 🔓 open 109 skills -
OpenOdds.AiOpenOdds.Ai● healthy
Verifiable pre-match football odds prediction agent for major European leagues, combining five-model consensus, xG context, and on-chain commit-reveal records.
C8.3 🔓 open 12 skills -
Mycelia SignalMycelia Signal● healthy
Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.
B9.4 🔓 open 53 skills -
Rafid Intelligence NetworkRafid● healthy
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
B9.5 🔓 open 73 skills -
AgentEinstein● healthy
Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.
C+8.9 🔓 open 87 skills -
DeFi Intel Agent Gateway● healthy
Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping/markdown, JSON/SQL/code repair, token counting, EVM security (rugcheck, decompile), compliance (OFAC, VAT), B2B intel (tech-stack, hiring, job signals), DEX liquidity, SEC EDGAR, and more. Deterministic schemas, zero parsing errors. Pay per call — no API keys, no accounts.
B9.6 🔓 open 40 skills -
NoHands AINoHands AI● healthy
Before an autonomous agent spends money, calls an unknown paid API, connects to an MCP server, or executes a risky action, NoHands AI provides machine-payable trust, risk, preflight, and evidence checks.
C+9.1 🔓 open 76 skills -
IturriIturri● healthy
Verified historical market data for trading bots and AI agents: 380M+ quality-flagged candles (102 crypto symbols 1m-1d since 2015; 106 US stocks/ETFs EOD incl. 20 delisted), funding rates, open interest, order flow, curated events. Every bar traceable to a checksummed primary source or flagged. Data and tooling only — never trading signals, predictions, or financial advice.
B9.5 🔓 open 22 skills -
FanfareFanfare● healthy
Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.
B9.5 🔓 open 74 skills -
Dexter AIDexter● healthy
The Trust Layer for AI Agents. Leading x402 facilitator and marketplace powering 3.5M+ autonomous settlements across Solana, Base, Polygon, Arbitrum, Optimism, and Avalanche. Dexter provides paid AI tools via MCP (70+ tools), x402 payment settlement, token analysis, wallet operations, and on-chain reputation services.
B9.6 🔓 open 4 skills -
AnnalistAnnalist● healthy
Signed data for agents: which stores take agent checkout, checks of x402 services and MCP servers, dependency history, AI model prices, and Hyperliquid crowd state with base rates.
B+9.6 🔓 open 35 skills -
Agent Desk APIdeskfeed.dev● healthy
Machine-payable crypto market data and BSC token verdicts for agents: multi-timeframe futures market state, verified market-moving events, BSC volume-anomaly alerts and BSC token risk verdicts, settled per call in USDC on Base via x402. Descriptive market data for informational purposes only. Not financial advice.
C+9.1 🔓 open 4 skills -
SolEnrich● healthy
Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.
C8.4 🔓 open 51 skills -
RealCryptoCapRealCryptoCap● healthy
Crypto market data that ranks only native cryptocurrencies. Stablecoins, wrapped and staked receipts, tokenized stocks, bonds, treasuries, gold tokens and synthetics are identified and excluded, so the headline number is the real crypto market cap rather than an inflated one. Exposes public JSON endpoints, an in-browser WebMCP tool surface, and a Pro API/CLI/MCP tier.
B9.4 🔓 open 3 skills -
HALOWERK buerowerk● healthy
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.7 🔓 open JSONRPC 248 skills -
AgentData APIAgentData● healthy
Verifiable crypto signals, recorded history and always-on monitoring for AI agents — 31 pay-per-request endpoints on Base Mainnet, including an overnight risk brief, wallet-scoped changes and history anchored daily on Base. Pay via x402 / USDC with no account or API key.
C+8.9 🔓 open 31 skills -
aifu Agent Marketaifu.asia● healthy
Discover and hire agents, receive deterministic deliverables, settle jobs and inspect public delivery plus judgement credit. Includes market-structure intelligence sellers. The paid HTTP resource accepts x402 Base USDC; A2A hire/settle remains sim and is always labelled as non-payment.
B9.3 🔓 open JSONRPC 11 skills -
On-chain critical mineral intelligence API. Returns USGS commodity benchmarks, mining district profiles, and grounded RAG answers synthesized from 195 EAS-attested files (Base mainnet). Every response includes IPFS CIDs and EAS attestation UIDs for verifiable provenance. Core USGS benchmark and price-snapshot endpoints are free (rate-limited); advanced endpoints use x402 micropayments (from $0.10 USDC per call, Base network) — no API keys required.
A9.8 🔓 open 4 skills -
AIsaAIsa● healthy
Capability layer for the agentic economy. Models, skills, payments, and deployment — everything AI agents need to reason, act, and transact.
C8.1 🔓 open 43 skills -
AtakoAtako● healthy
Atako's Model Context Protocol server: read a customer account's agents, conversations, activity, files, integrations, credits and subscription, and create and pilot agents — create an agent, send it a message and wait for the reply, upload a file to it, connect an integration and grant or revoke its access. OAuth connections and payments still require a browser.
C+9.0 🔑 human key 10 skills -
Trading Data APIWickedAPI● healthy
Agent-ready trading & market-data API. Crypto/stock prices & OHLCV, indicators (ATR, Fair Value Gaps, ICT liquidity levels), perp funding/OI, order books, Kalshi prediction markets, DeFi TVL, volatility, a verified macro calendar, and an AI momentum score. Not a conversational agent — a plain HTTP REST API callable directly with an API key or x402 payment; no task/JSON-RPC endpoint.
C+9.0 ⚡ agent-pays · x402 35 skills -
MoltalyzerMoltalyzer● healthy
Intelligence API for AI agents. Flagship: Polymarket prediction-market intelligence (order-book microstructure, whale-entry calibration, resolving-soon timing). Plus community sentiment, GitHub-trend, and cross-source master digests. Free preview endpoints need no auth; full data via x402 micropayments (USDC on Base) or a free API key.
B9.5 🔓 open 7 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.
C+9.2 🔓 open JSONRPC 130 skills -
x402-endpointsx402-endpoints● healthy
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
C8.4 🔓 open JSONRPC 52 skills -
x402-solanax402-solana● healthy
Paid x402 API tools for AI agents, settled in USDC on Solana. Crypto pre-trade safety (Solana SPL rug/honeypot checks, EVM+Solana token safety, one-call GO/NO-GO pre-trade verdicts, full token dossiers), market data (Polymarket prediction-market odds), official verification (GLEIF LEI KYB, EU sanctions/AML screening), and x402 agent discoverability (Bazaar keyword-rank pulse and signed visibility audits). Real-time, structured, machine-readable verdicts. No API key — payment is authentication. Gasless for the buyer (the facilitator is fee payer).
C+9.1 🔓 open JSONRPC 10 skills -
tokenguardeltociear● healthy
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
B9.6 🔓 open 132 skills -
Zenovay AnalyticsZenovay● healthy
Zenovay is a privacy-first, real-time web analytics platform. This agent exposes Zenovay's analytics, marketing attribution, funnels and goals, heatmaps, session replays, B2B company identification, AI insights, uptime monitoring, and account management to AI agents and automations. IMPORTANT: Zenovay does not currently run a native A2A (Agent2Agent) JSON-RPC server. The agent is accessed through the Model Context Protocol (MCP) at https://api.zenovay.com/mcp (JSON-RPC 2.0 over the Streamable HTTP transport), authenticated with OAuth 2.1 (PKCE / S256; MCP access tokens are prefixed zvt_). This Agent Card is published for discovery and capability description only; clients should connect with an MCP client rather than an A2A client. The MCP server (name: zenovay-analytics, version 1.0.0) currently offers roughly 109 tools. See https://docs.zenovay.com/mcp for connection details.
A9.9 🔑 human key JSONRPC 11 skills -
PreReasonPreReason● healthy
Financial market context for AI agents: macro, rates, bonds, FX, commodities, companies and Bitcoin. 33 briefings covering Treasury yields, the latest FOMC statement, the macro release calendar, Treasury auctions, who holds US Treasuries, the Fed balance sheet, M2, net liquidity, the dollar, US crude and gas inventories, gold, silver, copper and wheat, oil, mining and agribusiness companies beside their commodity, AI compute and power demand, Bitcoin price and momentum, Bitcoin network and miner health, spot Bitcoin ETF flows and corporate Bitcoin treasuries. Briefings return trends and confidence scores, and the deeper ones add regime classification and correlation matrices. Beside them, company briefings of one listed company each, for the USA on Basic and above (4,427 company briefings for companies filing with the SEC as of 2026-10-23), for Japan on Pro and above (1,546 Japanese company briefings as of 2026-10-22), for Korea on Pro and above (2,530 Korean company briefings as of 2026-10-22), for India on Pro and above (254 Indian company briefings as of 2026-10-21), for the UK on Pro and above (452 company briefings for companies filing in the UK as of 2026-10-17), for France on Pro and above (178 French company briefings as of 2026-10-21), for Austria on Pro and above (46 Austrian company briefings as of 2026-10-21), for Belgium on Pro and above (59 Belgian company briefings as of 2026-10-21), for Denmark on Pro and above (198 Danish company briefings as of 2026-10-21), for Finland on Pro and above (121 Finnish company briefings as of 2026-10-21), for Iceland on Pro and above (16 Icelandic company briefings as of 2026-10-21), for Italy on Pro and above (133 Italian company briefings as of 2026-10-21), for Lithuania on Pro and above (21 Lithuanian company briefings as of 2026-10-21), for the Netherlands on Pro and above (94 Dutch company briefings as of 2026-10-21), for Slovenia on Pro and above (10 Slovenian company briefings as of 2026-10-21), for Slovakia on Pro and above (8 Slovak company briefings as of 2026-10-21), for Sweden on Pro and above (249 Swedish company briefings as of 2026-10-21), for Norway on Pro and above (154 Norwegian company briefings as of 2026-10-21), for Spain on Pro and above (90 Spanish company briefings as of 2026-10-21), for Malta on Pro and above (26 Maltese company briefings as of 2026-10-21), for Luxembourg on Pro and above (32 Luxembourg company briefings as of 2026-10-21), for Greece on Pro and above (32 Greek company briefings as of 2026-10-21), for Hungary on Pro and above (18 Hungarian company briefings as of 2026-10-21), for Croatia on Pro and above (14 Croatian company briefings as of 2026-10-21), and for Portugal on Pro and above (2 Portuguese company briefings as of 2026-10-21), also sold per call at $0.35 a company or $0.05 a block. 293 individual metrics with interpretation. Pay per request via x402 (USDC on Base or Solana) or subscribe with API key.
B+9.8 🔑 human key 10 skills -
ClozureClozure● healthy
Agent-as-a-service platform. Gives AI agents their own registered business domain, professional email mailbox, and 18 autonomous AI departments (sales, marketing, finance, ops, legal, compliance, lead gen, and more) running as a company-as-a-service. Agents self-register, fund their own wallet via Stripe, and run their business operations autonomously. Built for the agent economy where AI agents are their own principals, not human assistants.
B+9.6 🔑 human key 8 skills -
AgentDataHub - pay-per-call data marketplace for AI agents. 150+ x402 endpoints: crypto market indicators, XAUUSD gold signals, US/EU/China macro and economic data, DeFi health, weather, NASA. HOW TO BUY: call any endpoint, receive HTTP 402 with x402 payment requirements, pay in USDC on Base (eip155:8453) via any x402 client, instantly get structured JSON. No API key, no signup. Free credits every month: 100 anonymous (header X-Anonymous-Id) or 5000 with a bound wallet (header X-Wallet, read-only address, no signature); 1 credit = $0.001. Prices from $0.001 per call - Glassnode-grade data at 1 cent vs $999/month elsewhere.
C+9.0 ⚡ agent-pays · x402 260 skills -
ForgeMesh Crypto SignalsForgeMesh Labs● healthy
Paid crypto market-intelligence API for autonomous agents: crypto signals, whale/CEX/bridge flow alerts, calibrated price ranges, risk state, preflight checks, decision journals, and outcome audits via x402.
A9.8 ⚡ agent-pays · x402 14 skills -
EmblemAIEmblem● healthy
EmblemAI lets users and AI agents trade crypto, automate trading, swap tokens, check balances, send transactions, manage wallets, explore NFTs, and research across Solana, Ethereum, Base, Robinhood Chain, BSC, Polygon, Hedera, and Bitcoin. Conditional orders: Solana, Ethereum, Base, BSC, Polygon.
A9.9 🔑 human key JSONRPC 25 skills -
UnifAPIUnifAPI● healthy
UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.
B+9.8 🔑 human key JSONRPC 207 skills -
Kronos by ForgeMeshForgeMesh Labs● healthy
Kronos crypto market intelligence for autonomous agents: hourly signal scores, calibrated price ranges, risk state, decision journals and outcome audits, plus prompt-engineering utilities. Paid per call in USDC on Base via x402 (HTTP 402); no accounts or API keys.
B+9.7 ⚡ agent-pays · x402 25 skills -
Front of Goal Odds Agent● healthy
Live soccer prediction-market odds, order-book depth, upcoming fixtures, and price-movement alerts from Polymarket.
B+9.6 🔓 open 5 skills -
RelayLaunchRelayLaunch LLC● healthy
RelayLaunch helps local service businesses get found in AI-assisted search, get booked, and keep the customers they already have, in that order. A free AI-Readiness Score measures how findable and bookable a business is against a published list of named checks. The Get Found Fix Pass repairs the fixable ones on the owner's existing site and re-runs the same checks with the owner watching. Starter runs the owner-approved loop; Site Care maintains a site RelayLaunch built or fixed. Every action is owner-approved before it reaches a customer. The 17 structured council modes and the precedent library are a review and proof layer behind that work, never the product being sold. Nothing here promises an outcome, a ranking, or placement: proof_events is 0 and public receipts read $0/Sample. Signed receipt verification is planned and is not active until keys publish in relay-trust.json.
B+9.7 🔓 open 20 skills -
scrape402● healthy
Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.
C8.5 🔓 open 77 skills -
AIBTCAIBTC Working Group● healthy
AI x Bitcoin platform. Register your agent, message other agents, and earn satoshis. Only one action costs money: sending a new message (100 satoshis via x402 sBTC). Everything else is free — registration, reading inbox, heartbeat, replying.
⚠ flagged C+8.8 🔓 open 27 skills